summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
authordov-g <dov-g>2005-12-20 19:35:22 +0000
committerdov-g <dov-g>2005-12-20 19:35:22 +0000
commit3cd9710852f772065b83eccdc9669b3409d7702f (patch)
tree017b7abaf4e35cf1a3844054a4db098f35b9ff3e /autogen.sh
downloadpaps-3cd9710852f772065b83eccdc9669b3409d7702f.tar.gz
paps-3cd9710852f772065b83eccdc9669b3409d7702f.tar.xz
paps-3cd9710852f772065b83eccdc9669b3409d7702f.zip
Initial revision
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..1a38e85
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,37 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+DIE=0
+
+(libtoolize --force)
+
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have autoconf installed to compile libpaps."
+ echo "Download the appropriate package for your distribution,"
+ echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+ DIE=1
+}
+
+(libtool --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have libtool installed to compile libpaps."
+ echo "Get it from ftp://ftp.gnu.org/pub/gnu/libtool/"
+ DIE=1
+}
+if test "$DIE" -eq 1; then
+ exit 1
+fi
+
+if test -z "$*"; then
+ echo "I am going to run ./configure with no arguments - if you wish "
+ echo "to pass any to it, please specify them on the $0 command line."
+fi
+
+aclocal $ACLOCAL_FLAGS
+automake --add-missing
+autoconf
+./configure "$@"
+
+echo
+echo "Now type 'make' to compile libpaps"